Accounts

Resend the verification code for changing a trading account password

After initializing the wizard for changing a trading account password, resend the verification code delivered to a client email address (for example, if the previous code was not received or has expired).

POST
/api/v2/my/accounts/{accountId}/password/resend

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

accountId*integer

The account identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/accounts/1/password/resend" \  -H "Content-Type: application/json" \  -d '{    "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732"  }'
{  "code": 200,  "data": {    "status": 0,    "sent": 1,    "expiredAt": "2022-01-01T00:00:00+00:00",    "sentAt": "2022-01-01T00:00:00+00:00",    "recipient": {}  },  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "email"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}